@import url("https://fonts.googleapis.com/css2?family=ABeeZee&family=Inria+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Montserrat:wght@300;400;500;600;700;900&display=swap");
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: "Inria Sans", sans-serif;
  color: #000000;
}

/*---------------------------Main Container------------------------- */

.container {
  padding: 12vh 2vw 1vh 0vw;
  margin-top: 10vh;
  display: flex;
  flex-direction: column;
  position: relative;
}

/*--------------------product Portion------------------*/

.product-portion {
  margin-left: 4vw;
}

.searched-data {
  display: flex;
  justify-content: space-between;
}
/* Breadcrump */

ol {
  margin-top: 4vh;
  margin-left: 1.5vw;
}

.breadcrumb {
  list-style: none;
}

.breadcrumb li {
  display: inline-block;
  font-weight: bold;
  font-size: 22px;
}

.breadcrumb li::after {
  content: " >    ";
}

.breadcrumb li:last-child {
  color: #0287c4;
}

.breadcrumb li:last-child::after {
  content: "";
}

.breadcrumb a {
  font-weight: normal;
  text-decoration: none;
  color: #222;
}

.breadcrumb a:hover {
  text-decoration: underline;
}

.searched-result {
  width: 12vw;
  margin-top: 4vh;
  font-size: 22px;
  border: 0.2px solid rgb(46, 44, 44);
}
.searched-result p {
  margin-left: 1vw;
  padding: 2px;
}

/*---product----*/

.searched-product {
  width: 90vw;
  display: flex;
  flex-wrap: wrap;
}

.product {
  height: 45vh;
  max-width: 15vw;
  background: #ececec;
  border-radius: 1vh;
  margin-top: 5vh;
  margin-left: 2vw;
  flex: 0 0 21%;
  position: relative;
}

.product img {
  height: 28vh;
  width: 13vw;
  margin-top: 1vh;
  margin-left: 1vw;
}

/*product details*/

.product-details {
  cursor: pointer;
}

.product-details .product-title {
  font-size: large;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}

.product-details .product-writer {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
}

.product p {
  margin-left: 1vw;
  font-size: 1vw;
}

.price-and-button {
  display: flex;
  justify-content: space-between;
  margin-top: 1vh;
  font-size: 2vw;
}

.add-to-cart {
  height: 4vh;
  width: 6vw;
  border: none;
  background: #cbcbcb;
  margin-right: 1vw;
  font-size: 1vw;
  cursor: pointer;
}

.add-to-cart:hover {
  background: #737373;
}

/*------------------Responsive For width less than 700px------------------------*/

@media only screen and (max-width: 700px) {
  .container {
    margin-top: 4.8vh;
  }

  /*--------------------product Portion------------------*/
  .product-portion {
    margin-left: 1vw;
  }
  /* Breadcrump */
  .breadcrumb li {
    font-size: 16px;
  }
  .searched-result {
    width: 30vw;
    font-size: 16px;
  }

  /* Product */
  .searched-product {
    width: 95vw;
    margin-left: 3vw;
  }
  .product {
    height: 34vh;
    max-width: 34vw;
    margin-left: 6vw;
  }
  .product img {
    height: 17vh;
    width: 27vw;
    margin-left: 1.5vw;
    margin-right: 1.5vw;
  }
  .product-details .product-title {
    font-size: 12px;
    font-weight: bold;
  }
  .product-details p {
    font-size: 11px;
    margin-top: 1.5vh;
  }
  .price-and-button p {
    font-size: 10px;
  }
  .add-to-cart {
    height: 20px;
    width: 47px;
    font-size: 9px;
  }
}
